## snap 1.0.0

=== DESCRIPTION ===
Package: snap
Type: Package
Title: Simple Neural Application
Version: 1.0.0
Author: Giancarlo Vercellino
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: A simple wrapper to easily design vanilla deep neural networks using 'Tensorflow'/'Keras' backend for regression, classification and multi-label tasks, with some tweaks and tricks (skip shortcuts, embedding, feature selection and anomaly detection).
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.6)
Imports: keras, tensorflow, dplyr, purrr, forcats, tictoc, readr,
        ggplot2, CORElearn, dbscan, stringr, reticulate
URL: https://keras.rstudio.com,
        https://rdrr.io/cran/dbscan/man/lof.html,
        https://www.rdocumentation.org/packages/CORElearn/versions/1.56.0/topics/attrEval
NeedsCompilation: no
Packaged: 2021-05-10 06:18:55 UTC; gvercellino
Repository: CRAN
Date/Publication: 2021-05-11 09:40:05 UTC
