## snap 1.1.0

=== DESCRIPTION ===
Package: snap
Type: Package
Title: Simple Neural Application
Version: 1.1.0
Author: Giancarlo Vercellino
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: A simple wrapper to easily design vanilla deep neural networks using 'Tensorflow'/'Keras' backend for regression, classification and multi-label tasks, with some tweaks and tricks (skip shortcuts, embedding, feature selection and anomaly detection).
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.6)
Imports: keras (>= 2.3.0.0), tensorflow (>= 2.2.0), dplyr (>= 1.0.2),
        purrr (>= 0.3.4), forcats (>= 0.5.0), tictoc (>= 1.0.1), readr
        (>= 1.4.0), ggplot2 (>= 3.3.3), CORElearn (>= 1.54.2), dbscan
        (>= 1.1-5), stringr (>= 1.4.0), reticulate (>= 1.18)
URL: https://rpubs.com/giancarlo_vercellino/snap
NeedsCompilation: no
Packaged: 2021-06-30 07:41:14 UTC; gvercellino
Repository: CRAN
Date/Publication: 2021-06-30 08:30:02 UTC
