## snap 2010-07-28

=== debian/changelog ===
snap (2010-07-28-2) unstable; urgency=low

  * debian/upstream: Added citation information
  * debian/copyright: DEP5 issues
  * debian/README.Debian:
     - Removed information which is not intended for users
     - Added information about scripts which are not included into the
       package since some requriements are not yet fullfilled
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs fields
  * debhelper 9 (control+compat)
  * debian/patches/unused-but-set-variable.patch: Make sure package
    builds with hardening flags
  * debian/rules:
     - deleted useless comment
     - Work around self-made build system and save original files
       before configuration and restore these in clean target
  * debian/mans: create simple man pages by polishing help2man output
  * debian/bin/snap: wrapper to set environment variable ZOE to implement
    hint given in 00README installation instructions
  * debian/patches/hardening.patch: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 25 Oct 2013 16:39:26 +0200

snap (2010-07-28-1~lucid1) lucid; urgency=low

  * Building for Debian PPA

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 00:52:13 +0200

snap (2010-07-28-1) experimental; urgency=low

  * Crude initial release, lacking man pages (Closes: #630753).

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 00:52:12 +0200
