=== debian/control ===
Source: snap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/snap/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/snap/trunk/
Homepage: http://homepage.mac.com/iankorf/

Package: snap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: location of genes from DNA sequence with hidden markov model
 SNAP is a general purpose gene finding program suitable for both eukaryotic
 and prokaryotic genomes. SNAP is an acroynm for Semi-HMM-based Nucleic Acid
 Parser.
