=== debian/watch ===
version=3
http://homepage.mac.com/iankorf/snap-([0-9-]+)\.tar\.gz
