## snap 2013-11-29

=== debian/changelog ===
snap (2013-11-29-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Extend use-CC.patch to cover all bare gcc invocations.
    (Closes: #883891)

  [ Andreas Tille ]
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sat, 09 Dec 2017 07:33:01 +0100

snap (2013-11-29-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2017 13:24:52 +0100

snap (2013-11-29-6) unstable; urgency=medium

  * Rename package also in autopkgtest (Thanks for the patch to Jeremy Bicha
    <jbicha@ubuntu.com>)
    Closes: #851459
  * Drop unused lintian overrides

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 09:01:43 +0100

snap (2013-11-29-5) unstable; urgency=medium

  * debhelper 10
  * d/watch: version=4
  * Rename /usr/bin/snap to /usr/bin/snap-hmm
    Closes: #849161, #849162
  * README.Debian + NEWS.Debian to inform users about name change

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2016 12:44:27 +0100

snap (2013-11-29-4) unstable; urgency=medium

  * itoa implementation had broken identation - use sprintf instead
  * add missing braces
    Closes: #835283

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2016 12:29:39 +0200

snap (2013-11-29-3) unstable; urgency=medium

  * Team upload.
  * add CPPFLAGS for full hardening.
  * Fix building with GCC 6 by addressing a bug in zoeTools.c.
    Closes: 831165.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 17 Jul 2016 17:43:09 +0000

snap (2013-11-29-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix homepage
  * cme fix dpkg-control
  * Priority: optional
  * Better hardening
  * Lintian override for false positive of timestamped gzip files

  [ Sascha Steinbiss ]
  * Fix building with GCC6.
    Closes: #812011

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2016 10:12:10 +0200

snap (2013-11-29-1) unstable; urgency=medium

  * New upstream version
    Closes: #753849
  * adapted watch file
  * moved debian/upstream to debian/upstrem/metadata
  * d/copyright: Exclude binary files without source (from OSX)
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2014 13:31:52 +0200
