=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 10),
                help2man
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/snap/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/snap/trunk/
-Homepage: http://homepage.mac.com/iankorf/
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snap.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/snap.git
+Homepage: https://www.psc.edu/index.php/user-resources/software/snap
 
 Package: snap
 Architecture: any
