=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
-bindir=$(CURDIR)/debian/$(pkg)/usr/bin
-libdir=$(CURDIR)/debian/$(pkg)/usr/lib/snap
-version=$(shell dpkg-parsechangelog | grep '^Version:' | sed 's/^Version: \(.*\)-[^-]\+$$/\1/')
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
