=== debian/watch ===
version=4
http://korflab.ucdavis.edu/software.html .*/Software/snap-([0-9-]+)\.tar\.gz
